hud apport hook fails with: File "/usr/share/apport/package-hooks/source_hud.py", line 4, in add_info NameError: global name 'apport' is not defined

Bug #1233994 reported by Jean-Baptiste Lallement on 2013-10-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity HUD
Fix Released
Medium
Ted Gould
hud (Ubuntu)
Medium
Ted Gould
Saucy
Undecided
Unassigned

Bug Description

From the command line run:
  $ ubuntu-bug hud

The following error is displayed on the terminal

ERROR: hook /usr/share/apport/package-hooks/source_hud.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport/report.py", line 197, in _run_hook
    symb['add_info'](report, ui)
TypeError: add_info() takes 1 positional argument but 2 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport/report.py", line 202, in _run_hook
    symb['add_info'](report)
  File "/usr/share/apport/package-hooks/source_hud.py", line 4, in add_info
    if not apport.packaging.is_distro_package(report['Package'].split()[0]):
NameError: global name 'apport' is not defined

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: hud 13.10.1+13.10.20130918-0ubuntu1
Uname: Linux 3.4.0-3-mako armv7l
ApportVersion: 2.12.5-0ubuntu1
Architecture: armhf
Date: Wed Oct 2 06:05:00 2013
InstallationDate: Installed on 2013-10-01 (0 days ago)
InstallationMedia: Ubuntu Saucy Salamander (development branch) - armhf (20131001.3)
MarkForUpload: True
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
SourcePackage: hud
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Jean-Baptiste Lallement (jibel) wrote :
Changed in hud (Ubuntu):
importance: Undecided → Medium
tags: added: rls-s-incoming
Changed in hud (Ubuntu):
status: New → Triaged
Ted Gould (ted) on 2013-10-08
Changed in hud:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Ted Gould (ted)
Changed in hud (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Ted Gould (ted)
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:hud at revision 337, scheduled for release in hud, milestone Unknown

Changed in hud:
status: In Progress → Fix Committed
Ted Gould (ted) on 2013-10-16
Changed in hud:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hud - 13.10.1+14.04.20131029.1-0ubuntu1

---------------
hud (13.10.1+14.04.20131029.1-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Fix the ref counting of application sources The application sources
    are now entirely owned by the application-list's hash table.

  [ Ted Gould ]
  * Add apport dependencies to the package hook. (LP: #1233994)
  * Don't show disabled items in search results. (LP: #1192646)

  [ Charles Kerr ]
  * Add a nullptr safeguard to prevent a crash-on-null-ptr-reference.
    Also, move a QMap lookup outside of a for loop. Yay! . (LP:
    #1242032)
  * if we can't get the busname, log a g_critical and then exit
    gracefully instead of abort()ing in g_error. (LP: #1244688)
  * Add a null safeguard when accessing window SharedPtrs held in the
    m_windows QMap . (LP: #1243654)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 343
 -- Ubuntu daily release <email address hidden> Tue, 29 Oct 2013 11:17:56 +0000

Changed in hud (Ubuntu):
status: In Progress → Fix Released

Hello Jean-Baptiste, or anyone else affected,

Accepted hud into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/hud/13.10.1+13.10.20131024-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in hud (Ubuntu Saucy):
status: New → Fix Committed
tags: added: verification-needed
Miklos Juhasz (mjuhasz) wrote :

The proposed package (13.10.1+13.10.20131024-0ubuntu1) fixed this issue.
After installing the proposed package I ran 'ubuntu-bug hud' and it successfully collected the information it needed to submit a bug and I was presented with a window 'Send problem report to the developers?' with a Send and a Cancel button. This failed with the 13.10.1+13.10.20131014-0ubuntu1 version.

description: updated
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hud - 13.10.1+13.10.20131024-0ubuntu1

---------------
hud (13.10.1+13.10.20131024-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Fix the ref counting of application sources The application sources
    are now entirely owned by the application-list's hash table.

  [ Ted Gould ]
  * Add apport dependencies to the package hook. (LP: #1233994)
  * Don't show disabled items in search results. (LP: #1192646)
  * Don't crash if we get asked about a window we don't know about,
    return a null list. (LP: #1242339)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 341
 -- Ubuntu daily release <email address hidden> Thu, 24 Oct 2013 16:12:43 +0000

Changed in hud (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers